Subject: Re: [PATCH v3 2/2] l10n: Add git-add.txt to localized man pages

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Mar 2017 10:57:27 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Mon, Mar 20, 2017 at 11:05 PM, Junio C Hamano <[email-masked]> wrote:
>> But more importantly, aren't we essentially adding an equivalent of
>>
>>         cd Documentation && cat git-*.txt
>>
>> to our codebase?
>>
>> Surely we cannot avoid having a copy of all messages that are to be
>> translated using msgid/msgstr based approach, and we already do so
>> for end-user-facing in-program strings, but it just feels a bit too
>> much having to carry a duplicate (and slightly a stale) copy of the
>> entire documentation set around.  For N languages, we'll have an
>> equivalent for N copies of the English text, in addition to the
>> translated documentation.
>
> As someone reading this thread from the sidelines you never elaborate
> on why this is a problem worth solving (other than "a bit too much")
> before everyone downthread jumped on trying to figure out how to solve
> this out-of tree somehow.

I do not particularly see the size as an issue that must be solved;
to me, it is "nice to solve".

But going back and finding this from Jean-Noel in an earlier
message:

    ... This is one of the points raised in the first RFC mail. Splitting this
    part would help a lot manage the translations with their own workflow,
    would not clutter the main repo with files not really needed for
    packaging and would simplify dealing with the interaction with crowd
    translation websites which can directly push translation content to a
    git repo.

there may be other benefits we may be able to reap from such a
split.